//*****************************************************************************
//*****************************************************************************
//  FILENAME: Counter32.h
//   Version: 2.5, Updated on 2012/9/21 at 11:58:3
//  Generated by PSoC Designer 5.3.2710
//
//  DESCRIPTION: Counter32 User Module C Language interface file
//-----------------------------------------------------------------------------
//  Copyright (c) Cypress Semiconductor 2012. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef Counter32_INCLUDE
#define Counter32_INCLUDE

#include <m8c.h>

#pragma fastcall16 Counter32_EnableInt
#pragma fastcall16 Counter32_DisableInt
#pragma fastcall16 Counter32_Start
#pragma fastcall16 Counter32_Stop
#pragma fastcall16 Counter32_ReadCounter             // Read  DR0
#pragma fastcall16 Counter32_WritePeriod             // Write DR1
#pragma fastcall16 Counter32_ReadCompareValue        // Read  DR2
#pragma fastcall16 Counter32_WriteCompareValue       // Write DR2


//-------------------------------------------------
// Prototypes of the Counter32 API.
//-------------------------------------------------

extern void Counter32_EnableInt(void);                              // Proxy Class 1
extern void Counter32_DisableInt(void);                             // Proxy Class 1
extern void Counter32_Start(void);                                  // Proxy Class 1
extern void Counter32_Stop(void);                                   // Proxy Class 1
extern void Counter32_ReadCounter(DWORD * pdwCount);                // Proxy Class 3
extern void Counter32_WritePeriod(DWORD dwPeriod);                  // Proxy Class 2
extern void Counter32_ReadCompareValue(DWORD * pdwCompareValue);    // Proxy Class 3
extern void Counter32_WriteCompareValue(DWORD dwCompareValue);      // Proxy Class 2


//--------------------------------------------------
// Constants for Counter32 API's.
//--------------------------------------------------

#define Counter32_CONTROL_REG_START_BIT        ( 0x01 )
#define Counter32_INT_REG_ADDR                 ( 0x0e1 )
#define Counter32_INT_MASK                     ( 0x08 )


//--------------------------------------------------
// Constants for Counter32 user defined values
//--------------------------------------------------

#define Counter32_PERIOD                       ( 0x0 )
#define Counter32_COMPARE_VALUE                ( 0x1388 )


//-------------------------------------------------
// Register Addresses for Counter32
//-------------------------------------------------

#pragma ioport  Counter32_COUNTER_LSB_REG:  0x020          //Count register LSB
BYTE            Counter32_COUNTER_LSB_REG;
#pragma ioport  Counter32_COUNTER_ISB1_REG: 0x024          //Count register ISB1
BYTE            Counter32_COUNTER_ISB1_REG;
#pragma ioport  Counter32_COUNTER_ISB2_REG: 0x028          //Count register ISB2
BYTE            Counter32_COUNTER_ISB2_REG;
#pragma ioport  Counter32_COUNTER_MSB_REG:  0x02c          //Count register MSB
BYTE            Counter32_COUNTER_MSB_REG;
#pragma ioport  Counter32_PERIOD_LSB_REG:   0x021          //Period register LSB
BYTE            Counter32_PERIOD_LSB_REG;
#pragma ioport  Counter32_PERIOD_ISB1_REG:  0x025          //Period register ISB1
BYTE            Counter32_PERIOD_ISB1_REG;
#pragma ioport  Counter32_PERIOD_ISB2_REG:  0x029          //Period register ISB2
BYTE            Counter32_PERIOD_ISB2_REG;
#pragma ioport  Counter32_PERIOD_MSB_REG:   0x02d          //Period register MSB
BYTE            Counter32_PERIOD_MSB_REG;
#pragma ioport  Counter32_COMPARE_LSB_REG:  0x022          //Compare register LSB
BYTE            Counter32_COMPARE_LSB_REG;
#pragma ioport  Counter32_COMPARE_ISB1_REG: 0x026          //Compare register ISB1
BYTE            Counter32_COMPARE_ISB1_REG;
#pragma ioport  Counter32_COMPARE_ISB2_REG: 0x02a          //Compare register ISB2
BYTE            Counter32_COMPARE_ISB2_REG;
#pragma ioport  Counter32_COMPARE_MSB_REG:  0x02e          //Compare register MSB
BYTE            Counter32_COMPARE_MSB_REG;
#pragma ioport  Counter32_CONTROL_LSB_REG:  0x023          //Control register LSB
BYTE            Counter32_CONTROL_LSB_REG;
#pragma ioport  Counter32_CONTROL_ISB1_REG: 0x027          //Control register ISB1
BYTE            Counter32_CONTROL_ISB1_REG;
#pragma ioport  Counter32_CONTROL_ISB2_REG: 0x02b          //Control register ISB2
BYTE            Counter32_CONTROL_ISB2_REG;
#pragma ioport  Counter32_CONTROL_MSB_REG:  0x02f          //Control register MSB
BYTE            Counter32_CONTROL_MSB_REG;
#pragma ioport  Counter32_FUNC_LSB_REG: 0x120              //Function register LSB
BYTE            Counter32_FUNC_LSB_REG;
#pragma ioport  Counter32_FUNC_ISB1_REG:    0x124          //Function register ISB1
BYTE            Counter32_FUNC_ISB1_REG;
#pragma ioport  Counter32_FUNC_ISB2_REG:    0x128          //Function register ISB2
BYTE            Counter32_FUNC_ISB2_REG;
#pragma ioport  Counter32_FUNC_MSB_REG: 0x12c              //Function register MSB
BYTE            Counter32_FUNC_MSB_REG;
#pragma ioport  Counter32_INPUT_LSB_REG:    0x121          //Input register LSB
BYTE            Counter32_INPUT_LSB_REG;
#pragma ioport  Counter32_INPUT_ISB1_REG:   0x125          //Input register ISB1
BYTE            Counter32_INPUT_ISB1_REG;
#pragma ioport  Counter32_INPUT_ISB2_REG:   0x129          //Input register ISB2
BYTE            Counter32_INPUT_ISB2_REG;
#pragma ioport  Counter32_INPUT_MSB_REG:    0x12d          //Input register MSB
BYTE            Counter32_INPUT_MSB_REG;
#pragma ioport  Counter32_OUTPUT_LSB_REG:   0x122          //Output register LSB
BYTE            Counter32_OUTPUT_LSB_REG;
#pragma ioport  Counter32_OUTPUT_ISB1_REG:  0x126          //Output register ISB1
BYTE            Counter32_OUTPUT_ISB1_REG;
#pragma ioport  Counter32_OUTPUT_ISB2_REG:  0x12a          //Output register ISB2
BYTE            Counter32_OUTPUT_ISB2_REG;
#pragma ioport  Counter32_OUTPUT_MSB_REG:   0x12e          //Output register MSB
BYTE            Counter32_OUTPUT_MSB_REG;
#pragma ioport  Counter32_INT_REG:       0x0e1             //Interrupt Mask Register
BYTE            Counter32_INT_REG;


//-------------------------------------------------
// Counter32 Macro 'Functions'
//-------------------------------------------------

#define Counter32_Start_M \
   ( Counter32_CONTROL_LSB_REG |=  Counter32_CONTROL_REG_START_BIT )

#define Counter32_Stop_M  \
   ( Counter32_CONTROL_LSB_REG &= ~Counter32_CONTROL_REG_START_BIT )

#define Counter32_EnableInt_M   \
   M8C_EnableIntMask(  Counter32_INT_REG, Counter32_INT_MASK )

#define Counter32_DisableInt_M  \
   M8C_DisableIntMask( Counter32_INT_REG, Counter32_INT_MASK )

#endif
// end of file Counter32.h
