;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: Counter32.inc
;;   Version: 2.5, Updated on 2012/9/21 at 11:58:3
;;  Generated by PSoC Designer 5.3.2710
;;
;;  DESCRIPTION: Assembler declarations for the Counter32 user module interface
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress Semiconductor 2012. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for Counter32 API's.
;--------------------------------------------------

Counter32_CONTROL_REG_START_BIT:           equ 0x01    ; Control register start bit
Counter32_INT_REG:                         equ 0x0e1
Counter32_INT_MASK:                        equ 0x08


;--------------------------------------------------
; Constants for Counter32 user defined values
;--------------------------------------------------

Counter32_PERIOD:                          equ 0x0
Counter32_COMPARE_VALUE:                   equ 0x1388


;--------------------------------------------------
; Register Address Constants for Counter32
;--------------------------------------------------

Counter32_COUNTER_LSB_REG:             equ 0x20   ; DR0 Counter register
Counter32_COUNTER_ISB1_REG:            equ 0x24
Counter32_COUNTER_ISB2_REG:            equ 0x28
Counter32_COUNTER_MSB_REG:             equ 0x2c
Counter32_PERIOD_LSB_REG:              equ 0x21   ; DR1 Period register
Counter32_PERIOD_ISB1_REG:             equ 0x25
Counter32_PERIOD_ISB2_REG:             equ 0x29
Counter32_PERIOD_MSB_REG:              equ 0x2d
Counter32_COMPARE_LSB_REG:             equ 0x22   ; DR2 CompareValue register
Counter32_COMPARE_ISB1_REG:            equ 0x26
Counter32_COMPARE_ISB2_REG:            equ 0x2a
Counter32_COMPARE_MSB_REG:             equ 0x2e
Counter32_CONTROL_LSB_REG:             equ 0x23   ; Control register
Counter32_CONTROL_ISB1_REG:            equ 0x27
Counter32_CONTROL_ISB2_REG:            equ 0x2b
Counter32_CONTROL_MSB_REG:             equ 0x2f
Counter32_FUNC_LSB_REG:                equ 0x20   ; Function register
Counter32_FUNC_ISB1_REG:               equ 0x24
Counter32_FUNC_ISB2_REG:               equ 0x28
Counter32_FUNC_MSB_REG:                equ 0x2c
Counter32_INPUT_LSB_REG:               equ 0x21   ; Input register
Counter32_INPUT_ISB1_REG:              equ 0x25
Counter32_INPUT_ISB2_REG:              equ 0x29
Counter32_INPUT_MSB_REG:               equ 0x2d
Counter32_OUTPUT_LSB_REG:              equ 0x22   ; Output register
Counter32_OUTPUT_ISB1_REG:             equ 0x26
Counter32_OUTPUT_ISB2_REG:             equ 0x2a
Counter32_OUTPUT_MSB_REG:              equ 0x2e


;--------------------------------------------------
; Counter32 Macro 'Functions'
;--------------------------------------------------

   macro Counter32_Start_M
   or    reg[Counter32_CONTROL_LSB_REG],  Counter32_CONTROL_REG_START_BIT
   endm

   macro Counter32_Stop_M
   and   reg[Counter32_CONTROL_LSB_REG], ~Counter32_CONTROL_REG_START_BIT
   endm

   macro Counter32_EnableInt_M
   M8C_EnableIntMask Counter32_INT_REG, Counter32_INT_MASK
   endm

   macro Counter32_DisableInt_M
   M8C_DisableIntMask Counter32_INT_REG, Counter32_INT_MASK
   endm


; end of file Counter32.inc
