#include "PSoCAPI.h"    // PSoC API definitions for all User Modules
#include "stdlib.h"

#pragma interrupt_handler GPIO_ISR

DWORD count;
int sec;
char time[256];

void main(void)
{
	PRT0DM0 &= ~0x02;
	PRT0DM1 &= ~0x02;
	PRT0DM2 &= ~0x02;
	
	M8C_EnableIntMask(INT_MSK0, INT_MSK0_GPIO);

	M8C_EnableGInt ; // Uncomment this line to enable Global Interrupts
	LCD_Start();
	LCD_Position(0,0);
	LCD_PrCString("Time in sec:");
	
	Counter32_WritePeriod((10000-1)/2);
	Counter32_EnableInt();
	Counter32_Start();
	while(1)
	{
		Counter32_ReadCounter(&count);
		if(count == 0)
		{
			sec++;
			itoa(time,sec,10);
			LCD_Position(1,0);
			LCD_PrString(time);
			while(!count)
				Counter32_ReadCounter(&count);
		}
	}
}

void GPIO_ISR(void)
{
	sec = 0;
}